Bug 455450 - xsane passes device FD to browser when viewing help
xsane passes device FD to browser when viewing help
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xsane (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 244297
  Show dependency treegraph
 
Reported: 2008-07-15 11:34 EDT by Nils Philippsen
Modified: 2009-12-18 01:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:14:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2008-07-15 11:34:07 EDT
+++ This bug was initially created as a clone of Bug #244297 +++

Description of problem:
I was using xsane to test my Firewire scanner.  I clicked Help->Xsane doc to 
open a browser on the documentation.  Then xsane crashed.  When I attempted to 
restart it, it said there were no scanners.  I then exited Firefox, and 
restarted xsane.  With firefox exited, xsane found the scanner and started.

Version-Release number of selected component (if applicable):
xsane-0.991-4.el5

How reproducible:
always

Steps to Reproduce:
1.exit any existing browser
2.start xsane
3.click Help->Xsane doc
4.run lsof.  See that firefox has /dev/sg0 open.
  
Actual results:
Firefox has a /dev/sg0 descriptor

Expected results:
Firefox cannot access the scanner device.

Additional info:
This is probably a minor bug, but leaky file descriptors can have bad 
side-effects, including possible security holes.  (Although I can't think of a 
plausible one here.)
Comment 1 Christopher D. Stover 2008-10-26 22:49:53 EDT
Any reason to keep this open since the same bug is filled under RHEL Nils?
Comment 2 Nils Philippsen 2008-10-28 06:35:05 EDT
(In reply to comment #1)
> Any reason to keep this open since the same bug is filled under RHEL Nils?

Sure. I'll likely attempt to fix this in Rawhide first, then push the fix to stable Fedora releases. If I don't fix it in Rawhide, but only in stable releases, it might sneak back on us in future OS versions and I'd like to avoid that ;-).
Comment 3 Nils Philippsen 2008-10-28 06:52:47 EDT
For completeness sake: after having it in stable Fedora I'll attempt a backport to RHEL.
Comment 4 Christopher D. Stover 2008-10-28 13:39:21 EDT
Ok, thanks for the explaination Nils.  I've marked the bug as assigned.
Comment 5 Bug Zapper 2008-11-25 21:33:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-11-18 07:36:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:14:55 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.